﻿* Encoding: UTF-8.

GET
  FILE='C:\Users\SRINIKA_BANIK\Desktop\Biostat\Assignment 3\ass3\GunkPre1.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

RECODE x1a x2a x5a x6a x7a x9a (1=1) (2=0) INTO X1ARW X2ARW X5ARW X6ARW X7ARW X9ARW.
VARIABLE LABELS  X1ARW 'Recoded x1a'.
VARIABLE LABELS  X2ARW 'Recoded x2a'.
VARIABLE LABELS  X5ARW 'Recoded x5a'.
VARIABLE LABELS  X6ARW 'Recoded x6a'.
VARIABLE LABELS  X7ARW 'Recoded x7a'.
VARIABLE LABELS  X9ARW 'Recoded x9a'.
EXECUTE.
 
RECODE x3a x4a x8a x10a (1=0) (2=1) INTO X3ARW X4ARW X8ARW X10ARW.
VARIABLE LABELS  X3ARW 'Recoded x3a'.
VARIABLE LABELS  X4ARW 'Recoded x4a'.
VARIABLE LABELS  X8ARW 'Recoded x8a'.
VARIABLE LABELS  X10ARW 'Recoded x10a'.
EXECUTE.
 
VALUE LABELS
X1ARW 1 'Correct' 0 'Incorrect' /
X2ARW 1 'Correct' 0 'Incorrect' /
X3ARW 1 'Correct' 0 'Incorrect' /
X4ARW 1 'Correct' 0 'Incorrect' /
X5ARW 1 'Correct' 0 'Incorrect' /
X6ARW 1 'Correct' 0 'Incorrect' /
X7ARW 1 'Correct' 0 'Incorrect' /
X8ARW 1 'Correct' 0 'Incorrect' /
X9ARW 1 'Correct' 0 'Incorrect' /
X10ARW 1 'Correct' 0 'Incorrect'.
EXECUTE.

RECODE x12a x14a x17a x20a (1=5) (2=4) (3=3) (4=2) (5=1) INTO X12AREV X14AREV X17AREV X20AREV.
VARIABLE LABELS  X12AREV 'Recoded x12a'.
VARIABLE LABELS  X14AREV 'Recoded x14a'.
VARIABLE LABELS  X17AREV 'Recoded x17a'.
VARIABLE LABELS  X20AREV 'Recoded x20a'.
EXECUTE.
 
VALUE LABELS
X12AREV X14AREV X17AREV X20AREV 1 'Strongly Agree' 2 'Agree' 3 'Neither Agree Nor Disagree' 4 'Disagree' 5 'Strongly Disagree'.
EXECUTE.

COMPUTE Knowledge=(X1ARW+X2ARW+X3ARW+X4ARW+X5ARW+X6ARW+X7ARW+X8ARW+X9ARW+X10ARW).
VARIABLE LABELS Knowledge 'Knowledge Scale'.
 
RELIABILITY
  /VARIABLES=X1ARW X2ARW X3ARW X4ARW X5ARW X6ARW X7ARW X8ARW X9ARW X10ARW
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE LCD_Self_efficacy=(x11a+X12AREV+x13a+X14AREV+x15a)/5.
VARIABLE LABELS LCD_Self_efficacy 'Low-cholesterol Diet Self-efficacy Scale'.
 
RELIABILITY
  /VARIABLES=x11a X12AREV x13a X14AREV x15a
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE LCD_Motivation=(x16a+x17arev+x18a+x19a+x20arev)/5.
VARIABLE LABELS LCD_Motivation 'Low-cholesterol Diet Motivation Scale'.
 
RELIABILITY
  /VARIABLES=x16a X17AREV x18a x19a X20AREV
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

IF  (ldla<100) LDLCAT1=1.
IF  (ldla>=100 & ldla<130) LDLCAT1=2.
IF  (ldla>=130 & ldla<160) LDLCAT1=3.
IF  (ldla>=160 & ldla<190) LDLCAT1=4.
IF  (ldla>=190) LDLCAT1=5.
VARIABLE LABELS LDLCAT1 'Categorical version of the LDL cholesterol '.
VALUE LABELS LDLCAT1 1 'Optimal' 2 'Near Optimal' 3 'Borderline High' 4 'High' 5 'Very High'.
EXECUTE.

RECODE LDLCAT1 (1=0) (2=0) (3=0) (4=1) (5=1) INTO LDLCAT2.
VARIABLE LABELS LDLCAT2 'Dichotomized version of the LDL cholesterol'.
VALUE LABELS LDLCAT2 0 'Not High' 1 'High'.
EXECUTE.
 
RECODE race (1=1) (2=2) (3=3) (4=5) INTO RACEETH.
IF (latino=1) RACEETH=4.
VARIABLE LABELS RACEETH 'Race/Ethnicity'.
VALUE LABELS RACEETH 1 'Non-Hispanic Black' 2 'Non-Hispanic White' 3 'Non-Hispanic Asian' 4 'Hispanic/Latino' 5 'Non-Hispanic Other'.
EXECUTE.
 
FREQUENCIES VARIABLES=X1ARW X2ARW X3ARW X4ARW X5ARW X6ARW X7ARW X8ARW X9ARW X10ARW X12AREV X14AREV X17AREV X20AREV LDLCAT1 LDLCAT2 RACEETH
  /ORDER=ANALYSIS.
 
DESCRIPTIVES VARIABLES=Knowledge LCD_Self_efficacy LCD_Motivation
  /STATISTICS=MEAN STDDEV MIN MAX.

SAVE OUTFILE='C:\Users\SRINIKA_BANIK\Desktop\Biostat\Assignment 3\ass3\GunkPre1.sav'
  /COMPRESSED.
